Bug 1234950 - Package python-raven in EPEL
Summary: Package python-raven in EPEL
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-raven
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sander Hoentjen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-23 14:51 UTC by Ewoud Kohl van Wijngaarden
Modified: 2016-04-18 08:37 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-04-18 07:28:30 UTC


Attachments (Terms of Use)
python3-raven.spec for python3-raven-5.3.1-1.fc22 (1.88 KB, text/plain)
2015-07-15 14:02 UTC, Yves L'ECUYER
no flags Details
python-raven.spec (3.35 KB, text/plain)
2015-12-30 13:32 UTC, Ewoud Kohl van Wijngaarden
no flags Details

Description Ewoud Kohl van Wijngaarden 2015-06-23 14:51:50 UTC
Currently python-raven is available in Fedora (though a bit old), but not in EPEL. It would be useful if python-raven is available in EPEL6 (and possibly EPEL7), but maybe it needs an update first so you can use modern Sentry servers which require protocol version 5.

Comment 1 Jan Kurik 2015-07-15 13:55:28 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Yves L'ECUYER 2015-07-15 14:02:01 UTC
Created attachment 1052370 [details]
python3-raven.spec for python3-raven-5.3.1-1.fc22

Comment 3 Yves L'ECUYER 2015-07-15 14:05:04 UTC
Yes me too I need raven with protocol version 5 for new network application.

Currently on July 15, 2015 the situation on Fedora 22 is:
================================
# dnf info --enablerepo=updates-testing python3-raven
Last metadata expiration check performed 0:08:42 ago on Wed Jul 15 15:17:50 2015.
Available Packages
Name        : python3-raven
Arch        : noarch
Epoch       : 0
Version     : 4.1.1
Release     : 3.fc21
Size        : 150 k
Repo        : fedora
Summary     : Python client for Sentry
URL         : https://pypi.python.org/pypi/raven/
License     : BSD
Description : Raven is a Python client for Sentry <http://getsentry.com>. It
            : provides full out-of-the-box support for many of the popular
            : frameworks, including Django, and Flask. Raven also includes
            : drop-in support for any WSGI-compatible web application.
=========================
so no  update for fedora 22 !!

On my machine, I just found that just that python-raven was installed, but its suppression by dnf remove, does not present any other package dependency supression!
But carefully I just build a python3-raven.spec file, so that I can compile the python3-raven-5.3.1-1fc22.rpm, and install it beside the already installed python-raven-4.1.1-3fc21.rpm
And now I use my network applications with python3
===========
I nobody use this old release, maybe it's time for fedora team to go on with 5.4.0 version !!
Unfortunately (or luckily ?) python-raven-5.3.1 does not not bytecompile with python2.7: 
.../usr/lib/python2.7/site-packages/raven/transport/aiohttp.py : line 31
produce syntax error!

So only with python3 its working fine!
So may be it's time like in many other python-xxxxx packages, to get only working python3-xxxxxx package
========
I put the spec file as attachment

Comment 4 Ewoud Kohl van Wijngaarden 2015-12-30 13:15:15 UTC
Yves: I think you should file a separate issue to upgrade it to 5.x. This is aimed specifically at getting python-raven into EPEL.

Comment 5 Ewoud Kohl van Wijngaarden 2015-12-30 13:32 UTC
Created attachment 1110498 [details]
python-raven.spec

python-raven spec with EPEL6 compatibility.

Comment 6 Sander Hoentjen 2016-01-12 18:33:34 UTC
I agreed with Xavier to take over this package. Once that is done I will update and branch to EPEL.

Comment 7 Fedora Update System 2016-01-22 10:38:44 UTC
python-raven-5.10.1-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9e58f36b76

Comment 8 Fedora Update System 2016-01-22 10:38:45 UTC
python-raven-5.10.1-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d49bd53f65

Comment 9 Fedora Update System 2016-01-24 03:53:57 UTC
python-raven-5.10.1-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d49bd53f65

Comment 10 Fedora Update System 2016-01-24 04:22:57 UTC
python-raven-5.10.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9e58f36b76

Comment 11 Fedora Update System 2016-01-28 08:25:24 UTC
python-raven-5.10.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-536e3ccb2c

Comment 12 Fedora Update System 2016-01-28 08:25:24 UTC
python-raven-5.10.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-894c1d1031

Comment 13 Fedora Update System 2016-01-29 16:21:04 UTC
python-raven-5.10.2-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-536e3ccb2c

Comment 14 Fedora Update System 2016-02-01 07:20:50 UTC
python-raven-5.10.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-894c1d1031

Comment 15 Fedora Update System 2016-04-01 17:54:00 UTC
python-raven-5.12.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d426b0999d

Comment 16 Fedora Update System 2016-04-01 17:54:15 UTC
python-raven-5.12.0-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3756cf7f00

Comment 17 Fedora Update System 2016-04-02 08:49:41 UTC
python-raven-5.12.0-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3756cf7f00

Comment 18 Fedora Update System 2016-04-02 08:50:19 UTC
python-raven-5.12.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-d426b0999d

Comment 19 Fedora Update System 2016-04-18 07:28:23 UTC
python-raven-5.12.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-04-18 08:37:17 UTC
python-raven-5.12.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.